Notes

Notes

Attach notes to a client, invoice, project or deal. Scope: notes.read / notes.write.

List notes

GET /v1/notes
notes.read
Authorization: HTTP
name: httpBearer
type: http
scheme: bearer
Query
Name Type Description
page integer Page number
per_page integer Items per page
client_id string
invoice_id string
project_id string
deal_id string
Request body

None

Response
data array
id string
body string
created_at string
updated_at string
meta object
page integer
per_page integer
total integer
pages integer

Examples

GET /v1/notes
curl -X GET "https://api.appficient.nl/v1/notes" \
  -H "Authorization: Bearer apf_xxxxxxxx" \
  -H "Accept: application/json"

Curl, Node and response are shown to the right of this endpoint.

Create a note

POST /v1/notes
notes.write
Authorization: HTTP
name: httpBearer
type: http
scheme: bearer
Request body
body string Required
description string

Deprecated alias for `body`.

client_id string
invoice_id string
project_id string
deal_id string
Response
data object
id string
body string
created_at string
meta object

Examples

POST /v1/notes
curl -X POST "https://api.appficient.nl/v1/notes" \
  -H "Authorization: Bearer apf_xxxxxxxx" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
    "body": "string",
    "description": "string",
    "client_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "invoice_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "project_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "deal_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}'

Curl, Node and response are shown to the right of this endpoint.

Update a note

PATCH /v1/notes/{id}
notes.write
Authorization: HTTP
name: httpBearer
type: http
scheme: bearer
Path
Name Type Description
id Required string Resource id (UUID, lowercase)
Request body
body string Required
description string

Deprecated alias for `body`.

Response
data object
id string
body string
created_at string
updated_at string
meta object

Examples

PATCH /v1/notes/{id}
curl -X PATCH "https://api.appficient.nl/v1/notes/{id}" \
  -H "Authorization: Bearer apf_xxxxxxxx" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
    "body": "string",
    "description": "string"
}'

Curl, Node and response are shown to the right of this endpoint.

Delete a note

DELETE /v1/notes/{id}
notes.write
Authorization: HTTP
name: httpBearer
type: http
scheme: bearer
Path
Name Type Description
id Required string Resource id (UUID, lowercase)
Request body

None

Response

None

Examples

DELETE /v1/notes/{id}
curl -X DELETE "https://api.appficient.nl/v1/notes/{id}" \
  -H "Authorization: Bearer apf_xxxxxxxx" \
  -H "Accept: application/json"

Curl, Node and response are shown to the right of this endpoint.